# Generated by Django 4.1.6 on 2023-02-12 22:08

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='OrganizationCategory',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(help_text="organization type's name", max_length=200, unique=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Region',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(help_text='Region', max_length=200, unique=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Size',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(help_text="organization type's name", max_length=200, unique=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='State',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(help_text='State', max_length=200, unique=True)),
                ('latitude', models.FloatField(blank=True, null=True)),
                ('longitude', models.FloatField(blank=True, null=True)),
                ('region', models.ForeignKey(blank=True, help_text='region', null=True, on_delete=django.db.models.deletion.CASCADE, to='organization.region')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='OrganizationType',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(help_text="organization type's name", max_length=200, unique=True)),
                ('description', models.TextField(help_text="organization type's description")),
                ('category', models.ForeignKey(blank=True, help_text='category', null=True, on_delete=django.db.models.deletion.CASCADE, to='organization.organizationcategory')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Organization',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(help_text="organization's name", max_length=200)),
                ('description', models.TextField(blank=True, help_text="organization's description", null=True)),
                ('age', models.IntegerField(blank=True, help_text="organization's age", null=True)),
                ('location', models.ForeignKey(blank=True, help_text='location', null=True, on_delete=django.db.models.deletion.CASCADE, to='organization.state')),
                ('organization_size', models.ForeignKey(blank=True, help_text='organization size', null=True, on_delete=django.db.models.deletion.CASCADE, to='organization.size')),
                ('organization_type', models.ForeignKey(blank=True, help_text='organization type', null=True, on_delete=django.db.models.deletion.CASCADE, to='organization.organizationtype')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
